Server Automatic Tuning - Update
Sunucudaki otomatik ayarlama seçeneklerini güncelleştirin.
PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/automaticTuning/current?api-version=2025-01-01
URI Parametreleri
| Name | İçinde | Gerekli | Tür | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
Kaynak grubunun adı. İsim büyük/küçük harfe duyarsızdır. |
|
server
|
path | True |
string |
Sunucunun adı. |
|
subscription
|
path | True |
string (uuid) |
Hedef aboneliğin kimliği. Değer bir UUID olmalıdır. |
|
api-version
|
query | True |
string minLength: 1 |
Bu işlem için kullanılacak API sürümü. |
İstek Gövdesi
| Name | Tür | Description |
|---|---|---|
| properties.desiredState |
otomatik ayarlama istenen durum. |
|
| properties.options |
<string,
Automatic |
Otomatik ayarlama seçenekleri tanımı. |
Yanıtlar
| Name | Tür | Description |
|---|---|---|
| 200 OK |
Azure işlemi başarıyla tamamlandı. |
|
| Other Status Codes |
Beklenmeyen bir hata yanıtı. |
Güvenlik
azure_auth
Azure Active Directory OAuth2 Flow.
Tür:
oauth2
Akış:
implicit
Yetkilendirme URL’si:
https://login.microsoftonline.com/common/oauth2/authorize
Kapsamlar
| Name | Description |
|---|---|
| user_impersonation | kullanıcı hesabınızın kimliğine bürünme |
Örnekler
| Updates server automatic tuning settings with all properties |
| Updates server automatic tuning settings with minimal properties |
Updates server automatic tuning settings with all properties
Örnek isteği
PATCH https://management.azure.com/subscriptions/c3aa9078-0000-0000-0000-e36f151182d7/resourceGroups/default-sql-onebox/providers/Microsoft.Sql/servers/testsvr11/automaticTuning/current?api-version=2025-01-01
{
"properties": {
"desiredState": "Auto",
"options": {
"createIndex": {
"desiredState": "Off"
},
"dropIndex": {
"desiredState": "On"
},
"forceLastGoodPlan": {
"desiredState": "Default"
}
}
}
}
Örnek yanıt
{
"name": "current",
"type": "Microsoft.Sql/servers/automaticTuning",
"id": "/subscriptions/c3aa9078-0000-0000-0000-e36f151182d7/resourceGroups/default-sql-onebox/providers/Microsoft.Sql/servers/testsvr11/automaticTuning/current",
"properties": {
"actualState": "Auto",
"desiredState": "Auto",
"options": {
"createIndex": {
"actualState": "Off",
"desiredState": "Off"
},
"dropIndex": {
"actualState": "On",
"desiredState": "On"
},
"forceLastGoodPlan": {
"actualState": "On",
"desiredState": "Default",
"reasonCode": 2,
"reasonDesc": "AutoConfigured"
},
"maintainIndex": {
"actualState": "Off",
"desiredState": "Default",
"reasonCode": 2,
"reasonDesc": "AutoConfigured"
}
}
}
}
Updates server automatic tuning settings with minimal properties
Örnek isteği
Örnek yanıt
{
"name": "current",
"type": "Microsoft.Sql/servers/automaticTuning",
"id": "/subscriptions/c3aa9078-0000-0000-0000-e36f151182d7/resourceGroups/default-sql-onebox/providers/Microsoft.Sql/servers/testsvr11/automaticTuning/current",
"properties": {
"actualState": "Auto",
"desiredState": "Auto",
"options": {
"createIndex": {
"actualState": "On",
"desiredState": "Default",
"reasonCode": 2,
"reasonDesc": "AutoConfigured"
},
"dropIndex": {
"actualState": "Off",
"desiredState": "Default",
"reasonCode": 2,
"reasonDesc": "AutoConfigured"
},
"forceLastGoodPlan": {
"actualState": "On",
"desiredState": "Default",
"reasonCode": 2,
"reasonDesc": "AutoConfigured"
},
"maintainIndex": {
"actualState": "Off",
"desiredState": "Default",
"reasonCode": 2,
"reasonDesc": "AutoConfigured"
}
}
}
}
Tanımlar
| Name | Description |
|---|---|
|
Automatic |
Otomatik ayarlama seçeneği gerçek durumu. |
|
Automatic |
Otomatik ayarlama seçeneği istenen durum. |
|
Automatic |
otomatik ayarlama istenen durum. |
|
Automatic |
Tek tek danışmanlar için otomatik ayarlama özellikleri. |
|
Automatic |
İstenen durum ve gerçek durum farklıysa neden açıklaması. |
|
created |
Kaynağı oluşturan kimliğin türü. |
|
Error |
Kaynak yönetimi hatası ek bilgileri. |
|
Error |
Hata ayrıntısı. |
|
Error |
Hata yanıtı |
|
Server |
Sunucu düzeyinde Otomatik Ayarlama. |
|
system |
Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler. |
AutomaticTuningOptionModeActual
Otomatik ayarlama seçeneği gerçek durumu.
| Değer | Description |
|---|---|
| Off |
Kapalı |
| On |
Açık |
AutomaticTuningOptionModeDesired
Otomatik ayarlama seçeneği istenen durum.
| Değer | Description |
|---|---|
| Off |
Kapalı |
| On |
Açık |
| Default |
Varsayılan |
AutomaticTuningServerMode
otomatik ayarlama istenen durum.
| Değer | Description |
|---|---|
| Custom |
Özelleştirilmiş |
| Auto |
Otomatik |
| Unspecified |
Belirtilmemiş |
AutomaticTuningServerOptions
Tek tek danışmanlar için otomatik ayarlama özellikleri.
| Name | Tür | Description |
|---|---|---|
| actualState |
Otomatik ayarlama seçeneği gerçek durumu. |
|
| desiredState |
Otomatik ayarlama seçeneği istenen durum. |
|
| reasonCode |
integer (int32) |
İstenirse neden kodu ve gerçek durum farklıdır. |
| reasonDesc |
İstenen durum ve gerçek durum farklıysa neden açıklaması. |
AutomaticTuningServerReason
İstenen durum ve gerçek durum farklıysa neden açıklaması.
| Değer | Description |
|---|---|
| Default |
Varsayılan |
| Disabled |
Disabled |
| AutoConfigured |
Otomatik Yapılandırma |
createdByType
Kaynağı oluşturan kimliğin türü.
| Değer | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
Kaynak yönetimi hatası ek bilgileri.
| Name | Tür | Description |
|---|---|---|
| info |
object |
Ek bilgiler. |
| type |
string |
Ek bilgi türü. |
ErrorDetail
Hata ayrıntısı.
| Name | Tür | Description |
|---|---|---|
| additionalInfo |
Hata ek bilgileri. |
|
| code |
string |
Hata kodu. |
| details |
Hata ayrıntıları. |
|
| message |
string |
Hata iletisi. |
| target |
string |
Hata hedefi |
ErrorResponse
Hata yanıtı
| Name | Tür | Description |
|---|---|---|
| error |
Hata nesnesi. |
ServerAutomaticTuning
Sunucu düzeyinde Otomatik Ayarlama.
| Name | Tür | Description |
|---|---|---|
| id |
string (arm-id) |
Kaynağın tam kaynak kimliği. Örneğin "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| name |
string |
Kaynağın adı |
| properties.actualState |
Gerçek durumu otomatik ayarlama. |
|
| properties.desiredState |
otomatik ayarlama istenen durum. |
|
| properties.options |
<string,
Automatic |
Otomatik ayarlama seçenekleri tanımı. |
| systemData |
Azure Resource Manager metadata içeren createdBy ve modifiedBy bilgileri. |
|
| type |
string |
Kaynağın türü. Örneğin "Microsoft. Compute/virtualMachines" veya "Microsoft. Depo/Depolama Hesapları" |
systemData
Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.
| Name | Tür | Description |
|---|---|---|
| createdAt |
string (date-time) |
Kaynak oluşturma (UTC) zaman damgası. |
| createdBy |
string |
Kaynağı oluşturan kimlik. |
| createdByType |
Kaynağı oluşturan kimliğin türü. |
|
| lastModifiedAt |
string (date-time) |
Kaynağın son değişikliğinin zaman damgası (UTC) |
| lastModifiedBy |
string |
Kaynağı en son değiştiren kimlik. |
| lastModifiedByType |
Kaynağı en son değiştiren kimlik türü. |